import CJS_COMPAT_NODE_URL_h0j2a3fgftb from 'node:url';
import CJS_COMPAT_NODE_PATH_h0j2a3fgftb from 'node:path';
import CJS_COMPAT_NODE_MODULE_h0j2a3fgftb from "node:module";

var __filename = CJS_COMPAT_NODE_URL_h0j2a3fgftb.fileURLToPath(import.meta.url);
var __dirname = CJS_COMPAT_NODE_PATH_h0j2a3fgftb.dirname(__filename);
var require = CJS_COMPAT_NODE_MODULE_h0j2a3fgftb.createRequire(import.meta.url);

// ------------------------------------------------------------
// end of CJS compatibility banner, injected by Storybook's esbuild configuration
// ------------------------------------------------------------

// ../../node_modules/slash/index.js
function slash(path) {
  return path.startsWith("\\\\?\\") ? path : path.replace(/\\/g, "/");
}

export {
  slash
};
